<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: Tools</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="tools">Tools </a></h1><hr/>
<p><b>Sections:</b></p>
<ul>
<li><a class="el" href="tools.html#gmshtoucd">gmsh: gmshtoucd.py</a></li>
<li><a class="el" href="tools.html#msh2inp">gmsh: msh2inp.awk</a></li>
<li><a class="el" href="tools.html#ngtoucd">ngtoucd.py</a></li>
<li><a class="el" href="tools.html#vtk">vtk tools</a></li>
<li><a class="el" href="tools.html#opendxtools">opendx: converter, visual program</a></li>
<li><a class="el" href="tools.html#shutil">shutil: shell scripts</a></li>
<li><a class="el" href="tools.html#gidprob">gid: GiD inp problem type</a></li>
</ul>
<hr/>
<p>The tools discussed below can be found in the $MAGPAR_HOME/src/tools/ directory in their respective subdirectories.</p>
<hr/>
<h2><a class="anchor" id="gmshtoucd">
gmsh: gmshtoucd.py</a></h2>
<p><a class="el" href="gmshtoucd_8py.html">gmshtoucd.py</a> is a small Python utility (implementation based on <a class="el" href="tools.html#ngtoucd">ngtoucd.py</a>) to convert <a class="el" href="preprocessing.html#gmsh">Gmsh</a> mesh files into AVS inp files for use with magpar.</p>
<hr/>
<h2><a class="anchor" id="msh2inp">
gmsh: msh2inp.awk</a></h2>
<p><a class="el" href="msh2inp_8awk.html">msh2inp.awk</a> is a utility in awk to convert <a class="el" href="preprocessing.html#gmsh">Gmsh</a> mesh files into AVS inp files for use with magpar - implemented by Stefan Tibus.</p>
<hr/>
<h2><a class="anchor" id="ngtoucd">
ngtoucd.py</a></h2>
<p><a class="el" href="ngtoucd_8py.html">ngtoucd.py</a> is a small Python utility to convert neutrally-exported <a href="http://www.hpfem.jku.at/netgen/">NETGEN</a> meshes into AVS unstructured cell data meshes for use with magpar.</p>
<p><b>Authors:</b><br/>
 <a href="http://www.soton.ac.uk/~rpb/">Richard Boardman</a> and <a href="http://www.soton.ac.uk/~fangohr/">Hans Fangohr</a></p>
<p>documentation: </p>
<div class="fragment"><pre class="fragment">ngtoucd v0.2
------------

ngtoucd is a small Python utility to convert neutrally-exported NETGEN
meshes into AVS unstructured cell data meshes for use with magpar;
although in theory the meshes should be accessible to anything
requiring AVS/UCD input files, this has not been tested.

ngtoucd requires Python to run. It has been tested with Python 2.3, but
Python 2.1 and 2.2 should also be fine.

NETGEN can be found here:
http://www.mathcces.rwth-aachen.de/netgen/
http://www.hpfem.jku.at/netgen/

Usage
-----

To use, first ensure that the file ngtoucd has been marked executable:

	chmod +x ngtoucd

will set the executable flag on the file. To convert a mesh called
foo.msh:

	./ngtoucd foo.msh

ngtoucd will then convert the mesh and leave a file called foo.inp -
this is the AVS/UCD mesh. By copying ngtoucd into the path, perhaps one
of:

	~/bin
	/usr/bin
	/usr/local/bin

(the top one is preferred for a personal setup, the last one for a
system-wide setup) then this should be callable without the preceding
./ as:

	ngtoucd foo.msh

An example NETGEN mesh has been included (sphere.msh) for testing
purposes.


Changes since version 0.1
-------------------------

ngtoucd now no longer ignores the material parameter for UCD meshes. This
can be interpreted loosely as top-level objects (TLOs) in netgen. The ID
is passed straight through to the UCD mesh (after parsing as an integer).


Contact details
---------------

Please send any bug reports and other comments to
richboardman@gmail.com or hans.fangohr@physics.org
</pre></div><p>NETGEN can be found here:</p>
<ul>
<li><a href="http://www.mathcces.rwth-aachen.de/netgen/">http://www.mathcces.rwth-aachen.de/netgen/</a></li>
<li><a href="http://www.hpfem.jku.at/netgen/">http://www.hpfem.jku.at/netgen/</a></li>
</ul>
<hr/>
<h2><a class="anchor" id="vtk">
vtk tools</a></h2>
<p>The two Perl scripts <code>inp2vtu.pl</code> and <code>inp2vtu_gz.pl</code> convert <a class="el" href="output.html#project_inp_inp">project.INP.inp</a> files of the form <code>&lt;project&gt;.????.inp</code> into XML formatted files for use with <a class="el" href="postprocessing.html#paraview">ParaView</a>.</p>
<p>Syntax: </p>
<div class="fragment"><pre class="fragment">
# create VTK XML ASCII files:
./inp2vtu.pl
Usage: inp2vtu.pl &lt;project&gt;

# create VTK XML binary files (about 1/5th the size of the ASCII files):
./inp2vtu_gz.pl
Usage: inp2vtu_gz.pl &lt;project&gt;
</pre></div><p>The scripts generate the following output files: </p>
<div class="fragment"><pre class="fragment">
&lt;project&gt;_????.vtu   # ???? stands for the 4 digit INP serial number
&lt;project&gt;.pvd        # ParaView control file (defining timestep and
                     # corresponding vtu file
</pre></div><p>Then you can open the file <code>&lt;project&gt;.pvd</code> in <a class="el" href="postprocessing.html#paraview">ParaView</a> and use animation controls to browse through the *.vtu files and create avi movies with "File/Save Animation".</p>
<p>Note, that the scripts automatically ignore the checkpoint file <a class="el" href="output.html#project_9999">project.9999.*</a>.</p>
<p>These scripts were contributed by Stefan Tibus (Univ. of Konstanz) from the research group of Manfred Albrecht at the <a href="http://www.tu-chemnitz.de/physik/OFGF/">Univ. of Chemnitz</a> - thanks!</p>
<hr/>
<h2><a class="anchor" id="opendxtools">
opendx: converter, visual program</a></h2>
<p>This directory contains the converter inp2dx.pl, the shell script mkdx.sh and the OpenDX visual program "vp_mumag". See section <a class="el" href="postprocessing.html#opendx">OpenDX</a> .</p>
<hr/>
<h2><a class="anchor" id="shutil">
shutil: shell scripts</a></h2>
<p>This directory contains various shell scripts, mainly for <a class="el" href="postprocessing.html">Postprocessing</a> of magpar output files.</p>
<hr/>
<h2><a class="anchor" id="gidprob">
gid: GiD inp problem type</a></h2>
<p>This tool defines the problem type "inp", which enables GiD to export finite element meshes in AVS/inp format as described in the section on <a class="el" href="preprocessing.html">Preprocessing</a>. </p>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

